<?php

namespace app\model;

use think\Model;

class HouseImgs extends Model
{
    protected $table = 'houseimgs';

    protected $db;

    function __construct()
    {
        $this->db = Db($this->table);
    }

    /**
     * 批量查询商铺图片
     * @param $param
     * @return mixed
     */
    public function getHouseImages($param,$limit_)
    {

        //rank
        return $this->db
            ->field("id,house_id,img_title,imgtype,imagename")
            ->where($param)
            ->order("rank desc")
            ->limit($limit_)
            ->select();
    }
}
